package com.jasamedika.medifirst2000.service;

import java.util.Date;
import java.util.Map;

import com.jasamedika.medifirst2000.entities.PapAssesmentGizi;
import com.jasamedika.medifirst2000.vo.PapKeluhanTambahanVO;
import com.jasamedika.medifirst2000.vo.PapAssesmentGiziVO;

/**
 * PAPPapAssesmentGizi Service
 * 
 * @author Askur
 */
public interface PapAssesmentGiziService<T> extends BaseVoService<PapAssesmentGizi, PapAssesmentGiziVO, String> {
	Map<String,Object> addAssesmentGizi(PapAssesmentGiziVO vo);
	Map<String,Object> updateAssesmentGizi(PapAssesmentGiziVO vo);
	Map<String,Object> findByNoCmAndTglInput(String noCm,Date tglInput);
	Map<String,Object> findRegistrasiPelayananPasienByNoCmAndTglRegistrasi(String noCm, short kdProfile,Date tglRegistrasi);
	public Map<String,Object> findPasienByNoCm(String noCm);
}
